Bug 208513 - databases/postgis22 addition to tree
Summary: databases/postgis22 addition to tree
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-04 13:11 UTC by darcy
Modified: 2016-06-05 16:37 UTC (History)
3 users (show)

See Also:


Attachments
Archive containing postgis 2.2.0 (9.98 KB, text/plain)
2016-04-04 13:11 UTC, darcy
no flags Details
Corrected addition of databases/postgis22 (21.10 KB, text/plain)
2016-05-08 16:17 UTC, Rainer Hurling
no flags Details
PostGIS 2.2.2 with Address Standardizer (22.39 KB, text/plain)
2016-05-09 08:22 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description darcy 2016-04-04 13:11:49 UTC
Created attachment 168965 [details]
Archive containing postgis 2.2.0

addition of Postgis2.2 as postgis22 to ports
Comment 1 Kurt Jaeger freebsd_committer 2016-04-17 12:02:00 UTC
If the build happens outside poudriere and gtk is installed, the -gui will be built even if LOADERGUI is not selected -- and then pkg-plist is incomplete.
Comment 2 Kurt Jaeger freebsd_committer 2016-04-17 12:26:59 UTC
Fails if all options are selected:

---- Making all in postgis
gmake[5]: Entering directory '/home/pi/myp/databases/postgis22/work/postgis-2.2.2/extensions/postgis'
sed -e 's/BEGIN;//g' -e 's/COMMIT;//g'  ../../postgis/postgis.sql > sql_bits/postgis.sql
cp ../../doc/postgis_comments.sql sql_bits/postgis_comments.sql
sed -e 's/BEGIN;//g' -e 's/COMMIT;//g'  ../../raster/rt_pg/rtpostgis.sql > sql_bits/rtpostgis.sql
../../utils/create_spatial_ref_sys_config_dump.pl ../../spatial_ref_sys.sql > sql_bits/spatial_ref_sys_config_dump.sql
/bin/sh: ../../utils/create_spatial_ref_sys_config_dump.pl: not found
Makefile:77: recipe for target 'sql_bits/spatial_ref_sys_config_dump.sql' failed
gmake[5]: *** [sql_bits/spatial_ref_sys_config_dump.sql] Error 127
gmake[5]: *** Deleting file 'sql_bits/spatial_ref_sys_config_dump.sql'
gmake[5]: Leaving directory '/home/pi/myp/databases/postgis22/work/postgis-2.2.2/extensions/postgis'
Comment 3 Rainer Hurling 2016-05-08 16:17:47 UTC
Created attachment 170120 [details]
Corrected addition of databases/postgis22

This shar file is a displacement for the original file. What this 'update' does:

- Add PostGIS version 2.2.2 instead of 2.2.0
- Use shebang on all perl files (solves initial build error)
- Complete pkg-plist
- Correct usage of option subs in pkg-plist
Comment 4 Rainer Hurling 2016-05-08 16:19:51 UTC
Oops, to fast.

The shar for version 2.2.2 was tested on Poudriere (9.3i/a, 10.3a, HEADa, with options all enabled, all disabled and some more combinations).

portlint -AC is happy, too.
Comment 5 Kurt Jaeger freebsd_committer 2016-05-08 16:56:42 UTC
Thanks. One more question: Why do we need to have three versions of postgis2.x
in the tree ?
Comment 6 Kurt Jaeger freebsd_committer 2016-05-08 17:00:38 UTC
And: postgis21 has PKGNAME postgis, postgis22 has the same PKGNAME, I think both must be unique. What about adding PKGNAMESUFFIX to the Makefile, as is done by postgis20 ?
Comment 7 Rainer Hurling 2016-05-08 17:14:22 UTC
(In reply to Kurt Jaeger from comment #6)
I am not sure, if this is true. CONFLICTS should care about not installing postgis1*, postgis20, postgis21 or postgis22 at the same time.

Or did I misunderstood?
Comment 8 Rainer Hurling 2016-05-09 08:22:44 UTC
Created attachment 170133 [details]
PostGIS 2.2.2 with Address Standardizer

I had to prepare another shar file, because of some misfeatures in my first attempt.

While here, I also integrated Christophs suggestions from bug #206049 (address standardizer and shp2pgsql-gui):

- make address standardizer optional
- only install shp2pgsql-gui, if option LOADERGUI enabled
- fix dependencies between options via _IMPLIES
- correct some postgresql pathes in sh scripts
- drop tiger dir in ${DATADIR}, hold tiger_geocoder dir
- strip commands also depend on choosen options
- do not install some Makefiles and scripts, necessary in build

Again, tested via Poudriere (9.3i/a, 10.3a, HEADa) and portlint -AC seems happy.

First tests using PostGIS/PostgreSQL within QGIS (graphics/qgis) also work fine.
Comment 9 Kurt Jaeger freebsd_committer 2016-06-05 13:50:45 UTC
(In reply to Rainer Hurling from comment #7)

The ports tree has an index file, which needs uniq PKGNAME, and
without an PKGNAMESUFFIX entry, postgis21 and postgis22 have the same PKGNAME.
See

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-naming

and there section 5.2.1:

Important:

The package name must be unique across the entire ports tree. Make sure that the PORTNAME is not already in use by an existing port. If the name has already been used, add either PKGNAMEPREFIX or PKGNAMESUFFIX.

I modified your latest shar a little bit, testbuild it on 11a, 10.3a+i and 9.3a
and think it's ready to be committed.
Comment 10 Rainer Hurling 2016-06-05 16:03:37 UTC
(In reply to Kurt Jaeger from comment #9)
I would be fine with something like in databases/postgis20, which should result in unique package names:
    PKGNAMESUFFIX=  22

Thanks for taking it up again.
Comment 11 commit-hook freebsd_committer 2016-06-05 16:22:50 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 16:21:56 UTC 2016
New revision: 416395
URL: https://svnweb.freebsd.org/changeset/ports/416395

Log:
  New port: databases/postgis22

  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
  database for geographic information systems (GIS), much like ESRI's
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL" and has been certified as
  compliant with the "Types and Functions" profile.

  PostGIS development was started by Refractions Research as a project
  in open source spatial database technology. PostGIS is released
  under the GNU General Public License. PostGIS continues to be
  developed by a group of contributors led by a Project Steering
  Committee and new features continue to be added.

  WWW: http://postgis.net/

  PR:		206049, 208513
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>, <darcy@dbitech.ca>, Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	Harrison Grundy <harrison.grundy@astrodoggroup.com> (maintainer postgis21)

Changes:
  head/databases/Makefile
  head/databases/postgis20/Makefile
  head/databases/postgis21/Makefile
  head/databases/postgis22/
  head/databases/postgis22/Makefile
  head/databases/postgis22/distinfo
  head/databases/postgis22/pkg-descr
  head/databases/postgis22/pkg-install
  head/databases/postgis22/pkg-plist
Comment 12 Kurt Jaeger freebsd_committer 2016-06-05 16:23:45 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2016-06-05 16:26:52 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 16:26:03 UTC 2016
New revision: 416396
URL: https://svnweb.freebsd.org/changeset/ports/416396

Log:
  databases/postgis22: do it as repo-copy from postgis21

  PR:		208513
  Reported by:	junovitch

Changes:
  head/databases/Makefile
  head/databases/postgis22/
Comment 14 commit-hook freebsd_committer 2016-06-05 16:37:56 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 16:37:13 UTC 2016
New revision: 416398
URL: https://svnweb.freebsd.org/changeset/ports/416398

Log:
  New port: databases/postgis22 as repo-copy from postgis21

  PR:		208513
  Reported by:	junovitch

Changes:
  head/databases/Makefile
  head/databases/postgis22/
  head/databases/postgis22/Makefile
  head/databases/postgis22/distinfo
  head/databases/postgis22/pkg-descr
  head/databases/postgis22/pkg-plist